<!DOCTYPE html>
<html>

<head>

<meta charset="UTF-8">
<meta name=viewport content="width=device-width, initial-scale=1">


<title>Apache Drill 1.1.0 Release Notes - Apache Drill</title>

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
<link href='//fonts.googleapis.com/css?family=PT+Sans' rel='stylesheet' type='text/css'/>
<link href="/css/site.css" rel="stylesheet" type="text/css"/>

<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon"/>
<link rel="icon" href="/favicon.ico" type="image/x-icon"/>

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js" language="javascript" type="text/javascript"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.3/jquery.easing.min.js" language="javascript" type="text/javascript"></script>
<script language="javascript" type="text/javascript" src="/js/modernizr.custom.js"></script>
<script language="javascript" type="text/javascript" src="/js/script.js"></script>
<script language="javascript" type="text/javascript" src="/js/drill.js"></script>

</head>


<body onResize="resized();">
  <div class="page-wrap">
    <div class="bui"></div>

<div id="menu" class="mw">
<ul>
  <li class='toc-categories'>
  <a class="expand-toc-icon" href="javascript:void(0);"><i class="fa fa-bars"></i></a>
  </li>
  <li class="logo"><a href="/"></a></li>
  <li class='expand-menu'>
  <a href="javascript:void(0);"><span class='menu-text'>Menu</span><span class='expand-icon'><i class="fa fa-bars"></i></span></a>
  </li>
  <li class='clear-float'></li>
  <li class="documentation-menu">
    <a href="/docs/">Documentation</a>
    <ul>
      
        <li><a href="/docs/getting-started/">Getting Started</a></li>
      
        <li><a href="/docs/architecture/">Architecture</a></li>
      
        <li><a href="/docs/tutorials/">Tutorials</a></li>
      
        <li><a href="/docs/install-drill/">Install Drill</a></li>
      
        <li><a href="/docs/configure-drill/">Configure Drill</a></li>
      
        <li><a href="/docs/connect-a-data-source/">Connect a Data Source</a></li>
      
        <li><a href="/docs/odbc-jdbc-interfaces/">ODBC/JDBC Interfaces</a></li>
      
        <li><a href="/docs/query-data/">Query Data</a></li>
      
        <li><a href="/docs/performance-tuning/">Performance Tuning</a></li>
      
        <li><a href="/docs/log-and-debug/">Log and Debug</a></li>
      
        <li><a href="/docs/sql-reference/">SQL Reference</a></li>
      
        <li><a href="/docs/data-sources-and-file-formats/">Data Sources and File Formats</a></li>
      
        <li><a href="/docs/develop-custom-functions/">Develop Custom Functions</a></li>
      
        <li><a href="/docs/troubleshooting/">Troubleshooting</a></li>
      
        <li><a href="/docs/developer-information/">Developer Information</a></li>
      
        <li><a href="/docs/release-notes/">Release Notes</a></li>
      
        <li><a href="/docs/sample-datasets/">Sample Datasets</a></li>
      
        <li><a href="/docs/archived-pages/">Archived Pages</a></li>
      
        <li><a href="/docs/progress-reports/">Progress Reports</a></li>
      
        <li><a href="/docs/project-bylaws/">Project Bylaws</a></li>
      
    </ul>
  </li>
  <li class='nav'>
    <a href="/community-resources/">Community</a>
    <ul>
      <li><a href="/team/">Team</a></li>
      <li><a href="/mailinglists/">Mailing Lists</a></li>
      <li><a href="/community-resources/">Community Resources</a></li>
    </ul>
  </li>
  <li class='nav'><a href="/faq/">FAQ</a></li>
  <li class='nav'><a href="/blog/">Blog</a></li>
  <li id="twitter-menu-item"><a href="https://twitter.com/apachedrill" title="apachedrill on twitter" target="_blank"><img src="/images/twitter_32_26_white.png" alt="twitter logo" align="center"></a> </li>
  <li class='search-bar'>
    <form id="drill-search-form">
      <input type="text" placeholder="Search Apache Drill" id="drill-search-term" />
      <button type="submit">
        <i class="fa fa-search"></i>
      </button>
    </form>
  </li>
  <li class="d">
    <a href="/download/">
      <i class="fa fa-cloud-download"></i> Download
    </a>
  </li>
</ul>
</div>

    <link href="/css/content.css" rel="stylesheet" type="text/css">


      




<aside class="sidebar">
  <div class="docsidebar">
    <div class="docsidebarwrapper">
      <ul style="display: block;">
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Getting Started</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/drill-introduction/">Drill Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/why-drill/">Why Drill</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Architecture</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/architecture-introduction/">Architecture Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/drill-query-execution/">Drill Query Execution</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/core-modules/">Core Modules</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/performance/">Performance</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Tutorials</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/tutorials-introduction/">Tutorials Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/drill-in-10-minutes/">Drill in 10 Minutes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/analyzing-the-yelp-academic-dataset/">Analyzing the Yelp Academic Dataset</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Learn Drill with the MapR Sandbox</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/about-the-mapr-sandbox/">About the MapR Sandbox</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-apache-drill-sandbox/">Installing the Apache Drill Sandbox</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/getting-to-know-the-drill-sandbox/">Getting to Know the Drill Sandbox</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/lesson-1-learn-about-the-data-set/">Lesson 1: Learn about the Data Set</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/lesson-2-run-queries-with-ansi-sql/">Lesson 2: Run Queries with ANSI SQL</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/lesson-3-run-queries-on-complex-data-types/">Lesson 3: Run Queries on Complex Data Types</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/summary/">Summary</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/analyzing-highly-dynamic-datasets/">Analyzing Highly Dynamic Datasets</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/analyzing-social-media/">Analyzing Social Media</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Install Drill</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/install-drill-introduction/">Install Drill Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Installing Drill in Embedded Mode</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/embedded-mode-prerequisites/">Embedded Mode Prerequisites</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-drill-on-linux-and-mac-os-x/">Installing Drill on Linux and Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/starting-drill-on-linux-and-mac-os-x/">Starting Drill on Linux and Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-drill-on-windows/">Installing Drill on Windows</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/starting-drill-on-windows/">Starting Drill on Windows</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Installing Drill in Distributed Mode</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/distributed-mode-prerequisites/">Distributed Mode Prerequisites</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-drill-on-the-cluster/">Installing Drill on the Cluster</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/starting-drill-in-distributed-mode/">Starting Drill in Distributed Mode</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Configure Drill</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configure-drill-introduction/">Configure Drill Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-drill-memory/">Configuring Drill Memory</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Configuring a Multitenant Cluster</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-a-multitenant-cluster-introduction/">Configuring a Multitenant Cluster Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-multitenant-resources/">Configuring Multitenant Resources</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-resources-for-a-shared-drillbit/">Configuring Resources for a Shared Drillbit</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-user-impersonation/">Configuring User Impersonation</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-user-authentication/">Configuring User Authentication</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-user-impersonation-with-hive-authorization/">Configuring User Impersonation with Hive Authorization</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Configuration Options</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuration-options-introduction/">Configuration Options Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/start-up-options/">Start-Up Options</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/planning-and-execution-options/">Planning and Execution Options</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/persistent-configuration-storage/">Persistent Configuration Storage</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/ports-used-by-drill/">Ports Used by Drill</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/configuring-the-drill-shell/">Configuring the Drill Shell</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Connect a Data Source</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/connect-a-data-source-introduction/">Connect a Data Source Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/storage-plugin-registration/">Storage Plugin Registration</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Storage Plugin Configuration</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/plugin-configuration-basics/">Plugin Configuration Basics</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/file-system-storage-plugin/">File System Storage Plugin</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/workspaces/">Workspaces</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/hbase-storage-plugin/">HBase Storage Plugin</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/hive-storage-plugin/">Hive Storage Plugin</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-default-input-format/">Drill Default Input Format</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/mongodb-plugin-for-apache-drill/">MongoDB Plugin for Apache Drill</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/mapr-db-format/">MapR-DB Format</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">ODBC/JDBC Interfaces</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/interfaces-introduction/">Interfaces Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/using-the-jdbc-driver/">Using the JDBC Driver</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/using-jdbc-with-squirrel-on-windows/">Using JDBC with SQuirreL on Windows</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Installing the ODBC Driver</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-driver-on-linux/">Installing the Driver on Linux</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-driver-on-mac-os-x/">Installing the Driver on Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-driver-on-windows/">Installing the Driver on Windows</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/installing-the-tdc-file-on-windows/">Installing the TDC File on Windows</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Configuring ODBC</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/odbc-configuration-reference/">ODBC Configuration Reference</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-odbc-on-linux/">Configuring ODBC on Linux</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-odbc-on-mac-os-x/">Configuring ODBC on Mac OS X</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-odbc-on-windows/">Configuring ODBC on Windows</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/testing-the-odbc-connection/">Testing the ODBC Connection</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Using Drill Explorer</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-explorer-introduction/">Drill Explorer Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/connecting-drill-explorer-to-data/">Connecting Drill Explorer to Data</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/browsing-data-and-defining-views/">Browsing Data and Defining Views</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Using Drill with BI Tools</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-drill-with-bi-tools-introduction/">Using Drill with BI Tools Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/tableau-examples/">Tableau Examples</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-microstrategy-analytics-with-apache-drill/">Using MicroStrategy Analytics with Apache Drill</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-tibco-spotfire-desktop-with-drill/">Using Tibco Spotfire Desktop with Drill</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-tibco-spotfire-server-with-drill/">Configuring Tibco Spotfire Server with Drill</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-apache-drill-with-tableau-9-desktop/">Using Apache Drill with Tableau 9 Desktop</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-apache-drill-with-tableau-9-server/">Using Apache Drill with Tableau 9 Server</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/configuring-jreport-with-drill/">Configuring JReport with Drill</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Query Data</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/query-data-introduction/">Query Data Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Querying a File System</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-a-file-system-introduction/">Querying a File System Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-json-files/">Querying JSON Files</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-parquet-files/">Querying Parquet Files</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-plain-text-files/">Querying Plain Text Files</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-directories/">Querying Directories</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-hbase/">Querying HBase</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Querying Complex Data</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/querying-complex-data-introduction/">Querying Complex Data Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sample-data-donuts/">Sample Data: Donuts</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/selecting-flat-data/">Selecting Flat Data</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/using-sql-functions-clauses-and-joins/">Using SQL Functions, Clauses, and Joins</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/selecting-nested-data-for-a-column/">Selecting Nested Data for a Column</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/selecting-multiple-columns-within-nested-data/">Selecting Multiple Columns Within Nested Data</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-hive/">Querying Hive</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-the-information-schema/">Querying the INFORMATION SCHEMA</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/querying-system-tables/">Querying System Tables</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/monitoring-and-canceling-queries-in-the-drill-web-ui/">Monitoring and Canceling Queries in the Drill Web UI</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Performance Tuning</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/performance-tuning-introduction/">Performance Tuning Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/partition-pruning/">Partition Pruning</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/choosing-a-storage-format/">Choosing a Storage Format</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Query Plans and Tuning</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-plans-and-tuning-introduction/">Query Plans and Tuning Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/join-planning-guidelines/">Join Planning Guidelines</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/guidelines-for-optimizing-aggregation/">Guidelines for Optimizing Aggregation</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/modifying-query-planning-options/">Modifying Query Planning Options</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sort-based-and-hash-based-memory-constrained-operators/">Sort-Based and Hash-Based Memory-Constrained Operators</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/enabling-query-queuing/">Enabling Query Queuing</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/controlling-parallelization-to-balance-performance-with-multi-tenancy/">Controlling Parallelization to Balance Performance with Multi-Tenancy</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Identifying Performance Issues</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-plans/">Query Plans</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-profiles/">Query Profiles</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Performance Tuning Reference</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-profile-column-descriptions/">Query Profile Column Descriptions</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/physical-operators/">Physical Operators</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Log and Debug</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/log-and-debug-introduction/">Log and Debug Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/error-messages/">Error Messages</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/modify-logback-xml/">Modify logback.xml</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/review-the-java-stack-trace/">Review the Java Stack Trace</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/query-audit-logging/">Query Audit Logging</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">SQL Reference</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/sql-reference-introduction/">SQL Reference Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Data Types</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/supported-data-types/">Supported Data Types</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/date-time-and-timestamp/">Date, Time, and Timestamp</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/handling-different-data-types/">Handling Different Data Types</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/lexical-structure/">Lexical Structure</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/operators/">Operators</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Functions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/about-sql-function-examples/">About SQL Function Examples</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/math-and-trig/">Math and Trig</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/data-type-conversion/">Data Type Conversion</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/date-time-functions-and-arithmetic/">Date/Time Functions and Arithmetic</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/string-manipulation/">String Manipulation</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/aggregate-and-aggregate-statistical/">Aggregate and Aggregate Statistical</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/functions-for-handling-nulls/">Functions for Handling Nulls</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Window Functions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sql-window-functions-introduction/">SQL Window Functions Introduction</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/aggregate-window-functions/">Aggregate Window Functions</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/ranking-window-functions/">Ranking Window Functions</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/sql-window-functions-examples/">SQL Window Functions Examples</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Nested Data Functions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/nested-data-limitations/">Nested Data Limitations</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/flatten/">FLATTEN</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/kvgen/">KVGEN</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/repeated-count/">REPEATED_COUNT</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/repeated-contains/">REPEATED_CONTAINS</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/query-directory-functions/">Query Directory Functions</a></li>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Commands</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/supported-sql-commands/">Supported SQL Commands</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/alter-session/">ALTER SESSION</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/alter-system/">ALTER SYSTEM</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/create-table-as-ctas/">CREATE TABLE AS (CTAS)</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/partition-by-clause/">PARTITION BY Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/create-view/">CREATE VIEW</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drop-view/">DROP VIEW</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/describe/">DESCRIBE</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/explain/">EXPLAIN</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/select/">SELECT</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/select-list/">SELECT List</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/from-clause/">FROM Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/group-by-clause/">GROUP BY Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/having-clause/">HAVING Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/limit-clause/">LIMIT Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/offset-clause/">OFFSET Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/order-by-clause/">ORDER BY Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/union-set-operator/">UNION Set Operator</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/where-clause/">WHERE Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/with-clause/">WITH Clause</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/show-databases-and-show-schemas/">SHOW DATABASES and SHOW SCHEMAS</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/show-files/">SHOW FILES</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/show-tables/">SHOW TABLES</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/use/">USE</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">SQL Conditional Expressions</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/case/">CASE</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/reserved-keywords/">Reserved Keywords</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/sql-extensions/">SQL Extensions</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Data Sources and File Formats</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/data-sources-and-file-formats-introduction/">Data Sources and File Formats Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/hive-to-drill-data-type-mapping/">Hive-to-Drill Data Type Mapping</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/deploying-and-using-a-hive-udf/">Deploying and Using a Hive UDF</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/parquet-format/">Parquet Format</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/json-data-model/">JSON Data Model</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/text-files-csv-tsv-psv/">Text Files: CSV, TSV, PSV</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Develop Custom Functions</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/develop-custom-functions-introduction/">Develop Custom Functions Introduction</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/develop-a-simple-function/">Develop a Simple Function</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/developing-an-aggregate-function/">Developing an Aggregate Function</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/adding-custom-functions-to-drill/">Adding Custom Functions to Drill</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/using-custom-functions-in-queries/">Using Custom Functions in Queries</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/custom-function-interfaces/">Custom Function Interfaces</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a class="reference internal" href="/docs/troubleshooting/">Troubleshooting</a></li>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Developer Information</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Develop Drill</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/compiling-drill-from-source/">Compiling Drill from Source</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-patch-review-tool/">Drill Patch Review Tool</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Contribute to Drill</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/apache-drill-contribution-guidelines/">Apache Drill Contribution Guidelines</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/apache-drill-contribution-ideas/">Apache Drill Contribution Ideas</a></li>
              
            </ul>
            
          
            
              <li class="toctree-l2"><a href="javascript: void(0);">Design Docs</a></li>
              <ul style="display: none">
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/drill-plan-syntax/">Drill Plan Syntax</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/rpc-overview/">RPC Overview</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/query-stages/">Query Stages</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/useful-research/">Useful Research</a></li>
              
                <li class="toctree-l3"><a class="reference internal" href="/docs/value-vectors/">Value Vectors</a></li>
              
            </ul>
            
          
          </ul>
        
      
        
          <li class="toctree-l1 current_section "><a href="javascript: void(0);">Release Notes</a></li>
          <ul class="current_section">
          
            
              <li class="toctree-l2 current"><a class="reference internal" href="/docs/apache-drill-1-1-0-release-notes/">Apache Drill 1.1.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-1-0-0-release-notes/">Apache Drill 1.0.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-9-0-release-notes/">Apache Drill 0.9.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-8-0-release-notes/">Apache Drill 0.8.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-7-0-release-notes/">Apache Drill 0.7.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-6-0-release-notes/">Apache Drill 0.6.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-m1-release-notes-apache-drill-alpha/">Apache Drill M1 Release Notes (Apache Drill Alpha)</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-m1-release-notes-apache-drill-alpha/">Apache Drill M1 Release Notes (Apache Drill Alpha)</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-5-0-release-notes/">Apache Drill 0.5.0 Release Notes</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/apache-drill-0-4-0-release-notes/">Apache Drill 0.4.0 Release Notes</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Sample Datasets</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/aol-search/">AOL Search</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/enron-emails/">Enron Emails</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/wikipedia-edit-history/">Wikipedia Edit History</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Archived Pages</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/how-to-run-the-drill-demo/">How to Run the Drill Demo</a></li>
            
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/what-is-apache-drill/">What is Apache Drill</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a href="javascript: void(0);">Progress Reports</a></li>
          <ul style="display: none">
          
            
              <li class="toctree-l2"><a class="reference internal" href="/docs/2014-q1-drill-report/">2014 Q1 Drill Report</a></li>
            
          
          </ul>
        
      
        
          <li class="toctree-l1"><a class="reference internal" href="/docs/project-bylaws/">Project Bylaws</a></li>
        
      
      </ul>

    </div>
  </div>
</aside>


<nav class="breadcrumbs">
  <li><a href="/docs/">Docs</a></li>
 
  
    <li><a href="/docs/release-notes/">Release Notes</a></li>
  
  <li>Apache Drill 1.1.0 Release Notes</li>
</nav>

<div class="main-content-wrapper">
  <div class="main-content">

    
      <a class="edit-link" href="https://github.com/apache/drill/blob/gh-pages/_docs/rn/010-1.1.0-rn.md" target="_blank"><i class="fa fa-pencil-square-o"></i></a>
    

    <div class="int_title left">
      <h1>Apache Drill 1.1.0 Release Notes</h1>

    </div>

    <link href="/css/docpage.css" rel="stylesheet" type="text/css">

    <div class="int_text" align="left">
      
        <p>It has been about 6 weeks since the release of Drill 1.0.0. Today we&#39;re happy to announce the availability of Drill 1.1.0, providing 119 additional enhancements and bug fixes. </p>

<h2 id="noteworthy-new-features-in-drill-1.1.0">Noteworthy New Features in Drill 1.1.0</h2>

<p>Drill now supports window functions, automatic partitioning, and Hive impersonation. </p>

<h3 id="ranking-window-functions"><a href="/docs/ranking-window-functions/">Ranking Window Functions</a></h3>

<ul>
<li>ROW_NUMBER<br></li>
<li>RANK<br></li>
<li>DENSE_RANK<br></li>
<li>PERCENT_RANK<br></li>
<li>CUME _DIST<br></li>
</ul>

<h3 id="aggregate-window-functions"><a href="/docs/aggregate-window-functions/">Aggregate Window Functions</a></h3>

<ul>
<li>COUNT<br></li>
<li>SUM<br></li>
<li>MIN<br></li>
<li>MAX<br></li>
<li>AVG<br></li>
</ul>

<h3 id="automatic-partitioning-in-ctas-(drill-3333)"><a href="/docs/partition-pruning/#automatic-partitioning">Automatic Partitioning</a> in CTAS (DRILL-3333)</h3>

<p>When a table is created with a partition by clause, the parquet writer will create separate files for the different partition values. The data will first be sorted by the partition keys, and the parquet writer will create a new file when it encounters a new value for the partition columns. </p>

<p>When queries are issued against data that was created this way, partition pruning will work if the filter contains a partition column. Unlike directory-based partitioning, no view is required, nor is it necessary to reference the dir* column names. </p>

<h3 id="hive-impersonation-support-(drill-3203)"><a href="/docs/configuring-user-impersonation-with-hive-authorization">Hive impersonation</a> support (DRILL-3203)</h3>

<p>When impersonation is enabled, Drill now supports impersonating the user who issued the query when accessing Hive metadata/data (instead of accessing Hive as the user that started the drillbit). </p>

<h2 id="enhancements-and-bug-fixes">Enhancements and Bug Fixes</h2>

<h2>Sub-task
</h2>

<ul>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3203'>DRILL-3203</a>] - Add support for impersonation in Hive storage plugin
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3277'>DRILL-3277</a>] - SUM(CAST(columns[0] AS INT)) OVER(...) gives wrong results
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3278'>DRILL-3278</a>] - SUM(CAST(columns[0] AS BIGINT)) OVER(...) gives wrong results
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3281'>DRILL-3281</a>] - window functions that involve TIME columns generate wrong results
</li>
</ul>

<h2>Bug
</h2>

<ul>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-669'>DRILL-669</a>] - Information Schema should be schema sensitive
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-1315'>DRILL-1315</a>] - Allow specifying Zookeeper root znode and cluster-id as JDBC parameters
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-1673'>DRILL-1673</a>] - Flatten function can not work well with nested arrays.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-1820'>DRILL-1820</a>] - Fix broken SCM and project links caused by graduation of Drill to a Apache TLP
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2023'>DRILL-2023</a>] - Hive function 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2137'>DRILL-2137</a>] - ResultsSetMetaData.getColumnName() returns &quot;none&quot; (rather than right class name)
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2310'>DRILL-2310</a>] - Drill fails to start in embedded mode on windows
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2346'>DRILL-2346</a>] - Star is not expanded correctly in create view if view fields are specified
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2403'>DRILL-2403</a>] - TimePrintMillis.toString() misses leading zeros in post-decimal-point part
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2416'>DRILL-2416</a>] - Zookeeper in sqlline connection string does not override the entry from drill-override.conf 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2447'>DRILL-2447</a>] - Calling getObject on a closed ResultSet object should throw a SQLException
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2449'>DRILL-2449</a>] - JDBC : DatabaseMetaData.getProcedures should return an empty result set
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2450'>DRILL-2450</a>] - JDBC : DatabaseMetaData.getColumns is missing the &#39;COLUMN_SIZE&#39; in the result set
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2462'>DRILL-2462</a>] - JDBC : ResultSetMetaData.isNullable returns true even when the column is a required one
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2480'>DRILL-2480</a>] - [umbrella] Identify, fix INFORMATION_SCHEMA and JDBC metadata bugs
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2494'>DRILL-2494</a>] - Binding parameters to a PreparedStatement throws a SQLException
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2531'>DRILL-2531</a>] - getColumns() not right/implemented for INTERVAL types
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2555'>DRILL-2555</a>] - JDBC driver throws RuntimeExceptions rather than SQLExceptions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2592'>DRILL-2592</a>] - Jdbc-all driver includes transitive dependencies
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2595'>DRILL-2595</a>] - Sqlline Usage needs to be corrected
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2622'>DRILL-2622</a>] - C++ Client valgrind errors in sync API
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2628'>DRILL-2628</a>] - sqlline hangs and then asserts when trying to execute anything on a dead JDBC connection
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2763'>DRILL-2763</a>] - [umbrella] Implement INFORMATION_SCHEMA.COLUMNS enough for relevant tools
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2782'>DRILL-2782</a>] - Decide, implement behavior for transaction-related JDBC methods
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2866'>DRILL-2866</a>] - Incorrect error message reporting schema change when streaming aggregation and hash join are disabled
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2903'>DRILL-2903</a>] - Update TestDrillbitResilience tests so that they correctly manage canceled queries that get to complete too quickly.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2923'>DRILL-2923</a>] - Ensure all unit tests pass without assertions enabled
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2967'>DRILL-2967</a>] - Incompatible types error reported in a &quot;not in&quot; query with compatible data types 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2985'>DRILL-2985</a>] - REGRESSION : NPE seen for project distinct values from CSV
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2988'>DRILL-2988</a>] - Correlated exists subquery returns wrong result if join columns in subquery are not fully qualified
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3004'>DRILL-3004</a>] - Failure in planning join when disabling hash join and exchanges
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3019'>DRILL-3019</a>] - Extra column in Schema of Recordbatch from scanning Values 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3028'>DRILL-3028</a>] - Exception in correlated subquery with exists when columns in subquery are not qualified
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3032'>DRILL-3032</a>] - Join between complex (nested repeated lists) data results in &quot;LATE type is not supported&quot;
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3034'>DRILL-3034</a>] - Apply UserException to port-binding error; handle UserException in embedded-Drill case
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3035'>DRILL-3035</a>] - Create ControlsInjector interface to enforce implementing methods
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3078'>DRILL-3078</a>] - Tracking bug for ODBC doc changes from Simba
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3094'>DRILL-3094</a>] - TPCH query 15 returns non-deterministic result
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3120'>DRILL-3120</a>] - Windows startup throws NPE
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3125'>DRILL-3125</a>] - Drill UI Profile page fails to load for a query in some scenarios
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3134'>DRILL-3134</a>] - Doc:  &quot;Supported ... Types&quot; section doesn&#39;t include complex types
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3143'>DRILL-3143</a>] - MaterializedField#clone should deep copy itself without disregarding its children
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3144'>DRILL-3144</a>] - Doc.:  JDBC Driver section is SQuirrel-specific, should be moved
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3147'>DRILL-3147</a>] - tpcds-sf1-parquet query 73 causes memory leak
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3155'>DRILL-3155</a>] - Composite vectors leak memory
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3159'>DRILL-3159</a>] - Make JDBC throttling threshold configurable
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3172'>DRILL-3172</a>] - Can not plan exception when over clause is empty 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3173'>DRILL-3173</a>] - Invalid inputs are NOT handled properly by Window functions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3177'>DRILL-3177</a>] - Upgrade Mongo java driver to 3.0.1
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3179'>DRILL-3179</a>] - Example output doesn&#39;t match example data (ticket_sales.json) in Complex JSON doc
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3182'>DRILL-3182</a>] - Window function with DISTINCT qualifier returns seemingly incorrect result
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3183'>DRILL-3183</a>] - Query that uses window functions returns NPE
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3188'>DRILL-3188</a>] - Restrict the types of window frames that can be specified
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3190'>DRILL-3190</a>] - Invalid FragmentState transition from CANCELLATION_REQUESTED in QueryManager
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3195'>DRILL-3195</a>] - Throw unsupported exception for Window functions that are not currently supported
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3196'>DRILL-3196</a>] - Disable multiple partition by clauses in the same sql query
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3197'>DRILL-3197</a>] - Query that uses window functions fails
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3198'>DRILL-3198</a>] - JDBC driver returns null from DatabaseMetaData.getTypeInfo(...)
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3199'>DRILL-3199</a>] - GenericAccessor doesn&#39;t support isNull
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3204'>DRILL-3204</a>] - Problem in name resolution with window functions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3206'>DRILL-3206</a>] - Memory leak in window functions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3208'>DRILL-3208</a>] - Hive : Tpch (SF 0.01) query 10 fails with a system error when the data is backed by hive tables
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3210'>DRILL-3210</a>] - Star is not expanded correctly in projection list when used with window function
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3214'>DRILL-3214</a>] - Config option to cast empty string to null does not cast empty string to null
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3215'>DRILL-3215</a>] - Describe table from hive storage does not connect to &quot;default&quot; database
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3216'>DRILL-3216</a>] - Fix existing(+) INFORMATION_SCHEMA.COLUMNS columns
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3218'>DRILL-3218</a>] - Window function usage throws CompileException
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3220'>DRILL-3220</a>] - IOB Exception when using constants in window functions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3245'>DRILL-3245</a>] - Error message needs to be fixed.
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3254'>DRILL-3254</a>] - Average over window functions returns wrong results
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3255'>DRILL-3255</a>] - Queries must fail when invalid-positions are specified in order by clause of a window function
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3260'>DRILL-3260</a>] - Conflicting servlet-api jar causing web UI to be slow
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3262'>DRILL-3262</a>] - Rename missed .impl.DrillDatabaseMetaData to .impl.DrillDatabaseMetaDataImpl to 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3263'>DRILL-3263</a>] - Read smallint and tinyint data from hive as integer until these types are well supported throughout Drill
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3265'>DRILL-3265</a>] - Query with window function and sort below that spills to disk runs out of memory
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3266'>DRILL-3266</a>] - Drill&#39;s hive storage plugin cannot find RegexSerDe
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3268'>DRILL-3268</a>] - queries with empty OVER() clause return empty result set
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3269'>DRILL-3269</a>] - Window function query takes too long to complete and return results
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3273'>DRILL-3273</a>] - Hive function &#39;concat_ws&#39; not working from drill
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3275'>DRILL-3275</a>] - Difference in expected results - query that uses window functions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3285'>DRILL-3285</a>] - Split DrillCursor.next(), clean up DrillCursor for clarity
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3293'>DRILL-3293</a>] - CTAS with window function fails with UnsupportedOperationException
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3294'>DRILL-3294</a>] - False schema change exception in CTAS with AVG window function
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3296'>DRILL-3296</a>] - Group By Union Distinct fails at planning
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3298'>DRILL-3298</a>] - Wrong result with SUM window function and order by without partition by in the OVER clause
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3305'>DRILL-3305</a>] - DrillOptiq should raise appropriate error message while dealing with unknown RexNode
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3306'>DRILL-3306</a>] - Concurrently Running hive queries results in a deadlock situation
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3307'>DRILL-3307</a>] - Query with window function runs out of memory
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3311'>DRILL-3311</a>] - sqlline hangs when query is cancelled while results are returned from the server
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3316'>DRILL-3316</a>] - Different SQLHandlers should go through the same planning logics for the same SELECT statement. 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3318'>DRILL-3318</a>] - SUM(CAST(col as INT)) shows different results when used in window functions
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3321'>DRILL-3321</a>] - ZK PStore configuration needed to prevent Drill Web UI problems
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3324'>DRILL-3324</a>] - CTAS broken with the new auto partition feature ( Not in master yet)
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3326'>DRILL-3326</a>] - Query with unsupported windows function containing &quot;AS&quot; blocks correct error message
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3327'>DRILL-3327</a>] - row_number function returns incorrect result when only order by clause is specified
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3328'>DRILL-3328</a>] - Cannot cast hive binary to varchar
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3333'>DRILL-3333</a>] - Add support for auto-partitioning in parquet writer
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3337'>DRILL-3337</a>] - Queries with Window Function DENSE_RANK fail with SchemaChangeException
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3343'>DRILL-3343</a>] - Seemingly incorrect result with SUM window functions and float data type
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3344'>DRILL-3344</a>] - When Group By clause is present, the argument in window function should not refer to any column outside Group By
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3345'>DRILL-3345</a>] - TestWindowFrame fails to properly check cases involving multiple batches
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3346'>DRILL-3346</a>] - Windowing query over View should display a better error message
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3357'>DRILL-3357</a>] - Error when adding 2 columns together
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3359'>DRILL-3359</a>] - Drill should throw and error when window function defined using WINDOW AS uses ROWS UNBOUNDED PRECEDING
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3361'>DRILL-3361</a>] - CTAS Auto Partitioning: Fails when we use boolean as the partition type
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3370'>DRILL-3370</a>] - FLATTEN error with a where clause
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3373'>DRILL-3373</a>] - CTAS partition by with empty list of partitioning columns should be blocked in parser
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3374'>DRILL-3374</a>] - CTAS with PARTITION BY, partition column name from view can not be resolved
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3376'>DRILL-3376</a>] - Reading individual files created by CTAS with partition causes an exception
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3377'>DRILL-3377</a>] - Can&#39;t partition by expression when columns are explicitly specified in the CTAS column list
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3378'>DRILL-3378</a>] - Average over window on a view returns wrong results
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3380'>DRILL-3380</a>] - CTAS Auto Partitioning : We are not pruning when we use functions in the select list
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3398'>DRILL-3398</a>] - WebServer is leaking memory for queries submitted through REST API or WebUI
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3400'>DRILL-3400</a>] - After shifting CTAS&#39;s data, query on CTAS table failed 
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3404'>DRILL-3404</a>] - Filter on window function does not appear in query plan
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3408'>DRILL-3408</a>] - CTAS partition by columns[i] from csv fails
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3410'>DRILL-3410</a>] - Partition Pruning : We are doing a prune when we shouldn&#39;t
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3411'>DRILL-3411</a>] - CTAS Partition by column in deeper layer fails
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3413'>DRILL-3413</a>] - Use DIGEST mechanism in creating Hive MetaStoreClient for proxy users when SASL authentication is enabled
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3418'>DRILL-3418</a>] - Partition Pruning : We are over-pruning and this leads to wrong results
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3422'>DRILL-3422</a>] - Multiple unit test failures on Windows with current master
</li>
</ul>

<h2>Improvement
</h2>

<ul>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-745'>DRILL-745</a>] - Drill fails to read the schema of avro tables from hive when the schema is in a separate file
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-959'>DRILL-959</a>] - drill fails to display binary in hive correctly
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-1862'>DRILL-1862</a>] - over clause with only order by clause throws an exception
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2086'>DRILL-2086</a>] - mapr profile - use MapR 4.0.2
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2272'>DRILL-2272</a>] - Tibco Spotfire Desktop configuration for Drill documentation
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2405'>DRILL-2405</a>] - Generate test data for window function instead of downloading it from S3
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2746'>DRILL-2746</a>] - Filter is not pushed into subquery past UNION ALL
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2764'>DRILL-2764</a>] - REST API should return exception details on error
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2839'>DRILL-2839</a>] - ODBC Driver Doc to point to latest available Driver, also provide compatibility matrix for Drill and ODBC version
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2997'>DRILL-2997</a>] - Remove references to groupCount from SerializedField
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3025'>DRILL-3025</a>] - Tibco Spotfire Server - JDBC - Configuration Document
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3108'>DRILL-3108</a>] - Replace templated returns with covariant return overrides
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3130'>DRILL-3130</a>] - Project can be pushed below union all / union to improve performance
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3148'>DRILL-3148</a>] - JReport enablement document for Drill
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3200'>DRILL-3200</a>] - Add Window functions: ROW_NUMBER, RANK, PERCENT_RANK, DENSE_RANK and CUME_DIST
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3240'>DRILL-3240</a>] - Fetch hadoop maven profile specific Hive version in Hive storage plugin
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3304'>DRILL-3304</a>] - improve org.apache.drill.exec.expr.TypeHelper error messages when UnsupportedOprationException is thrown
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3319'>DRILL-3319</a>] - UserExceptions should be logged from the right class
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3320'>DRILL-3320</a>] - Do away with &quot;rebuffing&quot; Drill jar
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3421'>DRILL-3421</a>] - Add new outputformat=json
</li>
</ul>

<h2> New Feature
</h2>

<ul>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-1169'>DRILL-1169</a>] - Add support for UNION (distinct type)
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-3246'>DRILL-3246</a>] - Query planning support for partition by clause in Drill&#39;s CTAS statement
</li>
</ul>

<h2> Task
</h2>

<ul>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2420'>DRILL-2420</a>] - [umbrella] Identify, fix DatabaseMetaData.getColumns() bugs
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2952'>DRILL-2952</a>] - Hive 1.0 plugin for Drill
</li>
<li>[<a href='https://issues.apache.org/jira/browse/DRILL-2983'>DRILL-2983</a>] - Bridget&#39;s User Auth Doc
</li>
</ul>

    
      
        <div class="doc-nav">
  
  <span class="previous-toc"><a href="/docs/release-notes/">← Release Notes</a></span><span class="next-toc"><a href="/docs/apache-drill-1-0-0-release-notes/">Apache Drill 1.0.0 Release Notes →</a></span>
</div>

    
    </div>
  </div>
</div>

  </div>
  <p class="push"></p>
<div id="footer" class="mw">
<div class="wrapper">
Copyright © 2012-2014 The Apache Software Foundation, licensed under the Apache License, Version 2.0.<br>
Apache and the Apache feather logo are trademarks of The Apache Software Foundation. Other names appearing on the site may be trademarks of their respective owners.<br/><br/>
</div>
</div>

  <script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-53379651-1', 'auto');
ga('send', 'pageview');
</script>

</body>
</html>
